/**
 * @file
 */

(function ($, Drupal) {
  Drupal.behaviors.inotify_mercure = {
    attach: function (context, settings) {
      $("main", context)
        .once()
        .each(function () {
          const url = new URL(drupalSettings.inotify_mercure.mercure_hub_url);
          url.searchParams.append(
            "topic",
            drupalSettings.inotify_mercure.user_topic_id
          );
          const eventSource = new EventSource(url);
          eventSource.onmessage = (e) => {
            notification = JSON.parse(e.data);
            toastr.options = {
              "closeButton": true,
              "debug": false,
              "newestOnTop": true,
              "progressBar": true,
              "positionClass": "toast-top-right",
              "preventDuplicates": false,
              "showDuration": "300",
              "hideDuration": "1000",
              "timeOut": "8000",
              "extendedTimeOut": "2000",
              "showEasing": "swing",
              "hideEasing": "linear",
              "showMethod": "fadeIn",
              "hideMethod": "fadeOut",
              "toastClass": "toastr",
            }
            toastr.info(notification.message, notification.title);
            Drupal.behaviors.inotify.RefreshNotificationsView();
          };
        });
    },
  };
  
})(jQuery, Drupal);
